@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2012
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@setlocal
@echo off

call "%~dp0setupCmdLine.bat"

IF ["%OBJECTGRID_HOME%"]==[""] set OBJECTGRID_HOME=%~dp0..\optionalLibraries\ObjectGrid

IF ["%JAVA_HOME%"]==[""] set JAVA_HOME=%OBJECTGRID_HOME%\..\..\java

set JAVA_EXE="%JAVA_HOME%\jre\bin\java"
set FILE="%OBJECTGRID_HOME%\console\.zero\private\resolved.properties"
set HTTPSFILE1="%OBJECTGRID_HOME%\console\config\https-config-start.config"
set HTTPSFILE2="%OBJECTGRID_HOME%\console\config\https-config-start.config.save"

IF EXIST %FILE% ( del %FILE% )

cd "%OBJECTGRID_HOME%\console"

@REM In the case that we have an HTTPS file from a previous start, we don't want to load it
@REM since before_start would save old JVM arguments, so rename it.
IF EXIST %HTTPSFILE1% ( MOVE /Y %HTTPSFILE1% %HTTPSFILE2% >NUL 2>&1 )

call zero.bat before_start
if errorlevel 1 goto end

set /p ZERO_OPTS_ADD=<ZERO_OPTS.config
set ZERO_OPTS=%ZERO_OPTS% %ZERO_OPTS_ADD%

call zero.bat setup

set ZERO_OPTS=%ZERO_OPTS% -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory -Djava.security.auth.login.config="%USER_INSTALL_ROOT%"\properties\wsjaas_client.conf -Djava.ext.dirs="%OBJECTGRID_HOME%\console\lib\asm;%JAVA_HOME%\jre\lib\ext;%WAS_EXT_DIRS%;%WAS_HOME%\plugins" -Dwas.install.root="%WAS_HOME%" "%CLIENTSAS%" "%CLIENTSSL%" -Duser.install.root="%USER_INSTALL_ROOT%"

start /MIN zero.bat run
call zero.bat after_start

:end
@endlocal
