#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
. "$binDir"/setupCmdLine.sh

# If OBJECTGRID_HOME does not exist then we are installed with WAS.  
# Redirect the OBJECTGRID_HOME to where the console lives.
if [ ${OBJECTGRID_HOME} ]; then
    break
else
    OBJECTGRID_HOME=$WAS_HOME/optionalLibraries/ObjectGrid
fi

if [ -z ${JAVA_HOME} ]; then
  JAVA_HOME=${OBJECTGRID_HOME}/../../java
fi
JAVA_EXE="${JAVA_HOME}/jre/bin/java"

cd $OBJECTGRID_HOME/console
/bin/sh zero stop > /dev/null 2>&1
/bin/sh zero after_stop
